Package com.independentsoft.office.spreadsheet.connections

# Enum Class ReconnectionMethod

java.lang.Object
java.lang.Enum<ReconnectionMethod>
com.independentsoft.office.spreadsheet.connections.ReconnectionMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<ReconnectionMethod>`, `Constable`

public enum ReconnectionMethod extends Enum<ReconnectionMethod>
The Enum ReconnectionMethod.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `AS_REQUIRED`
  `NEVER`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReconnectionMethod`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReconnectionMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AS_REQUIRED

    public static final ReconnectionMethod AS_REQUIRED

  - ### ALWAYS

    public static final ReconnectionMethod ALWAYS

  - ### NEVER

    public static final ReconnectionMethod NEVER

  - ### NONE

    public static final ReconnectionMethod NONE

- ## Method Details

  - ### values

    public static ReconnectionMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReconnectionMethod valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null